API ReferenceFee SchedulesV3
Get rate history
Gets every version of a rate.
Authorization
BearerAuth AuthorizationBearer <token>
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
In: header
Path Parameters
rate_id*RateId
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/fee-schedules/v3/497f6eca-6276-4993-bfeb-53cbbbba6f08/history"[ { "rate_id": "3bec1d92-6fca-4949-9664-244f71111c20", "dimensions": { "payer_uuid": "ecc6b222-ef84-4433-9856-dedc46036dc7", "organization_billing_provider_id": "701110bc-37ea-4e74-b1be-206d60a16948", "states": [ "AA" ], "zip_codes": [ "string" ], "license_types": [ "MD" ], "facility_type_codes": [ "01" ], "network_types": [ "12" ], "payer_plan_group_ids": [ "d5a5a3d6-e046-4f56-bd9b-be28db4d8639" ], "cpt_code": "string", "modifiers": [ "AV" ] }, "version": 0, "updated_at": "2019-08-24", "updated_by": "deea00dc-b6b6-4412-a483-26ac61e1f6fe", "entries": [ { "start_date": "2024-04-11", "end_date": "2019-08-24", "rate_cents": 33000, "is_deactivated": false } ] }]List unique dimension values GET
Gets unique values for a dimension based on other selection criteria. The response is a list of dimensions with your criteria and the unique values populated. This API is useful for driving pivots on dimension values.
Delete rate DELETE
Soft deletes a rate from the system. Only the most recent version of a rate can be deleted.